Debian Bug report logs - #663514
libsdl-perl: FTBFS on i386 Xen/KVM VMs: Failed test 'MMX_detect (MMX is same as at start)'

version graph

Package: src:sdlgfx; Maintainer for src:sdlgfx is Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>;

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Sun, 11 Mar 2012 21:30:02 UTC

Severity: serious

Tags: patch

Found in version sdlgfx/2.0.23-1

Fixed in version sdlgfx/2.0.23-2

Done: Felix Geyer <debfx-pkg@fobos.de>

Bug is archived. No further changes may be made.

Forwarded to https://github.com/PerlGameDev/SDL/issues/221

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#663514; Package src:libsdl-perl. (Sun, 11 Mar 2012 21:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sun, 11 Mar 2012 21:30:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: submit@bugs.debian.org
Subject: libsdl-perl: FTBFS on i386 Xen/KVM VMs: Failed test 'MMX_detect (MMX is same as at start)'
Date: Sun, 11 Mar 2012 21:27:25 +0000
Source: libsdl-perl
Version: 2.537~02-2
Severity: important

This package FTBFS on my Xen and KVM based VMs on i386 (but not amd64):

#   Failed test 'MMX_detect (MMX is same as at start)'
#   at t/gfx_imagefilter.t line 53.
#          got: '1'
#     expected: '0'

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Set Bug forwarded-to-address to 'https://github.com/PerlGameDev/SDL/issues/221'. Request was from Dominique Dumont <dod@debian.org> to control@bugs.debian.org. (Sun, 18 Mar 2012 14:00:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#663514; Package src:libsdl-perl. (Sat, 14 Apr 2012 15:12:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominique Dumont <dod@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sat, 14 Apr 2012 15:12:09 GMT) Full text and rfc822 format available.

Message #12 received at 663514@bugs.debian.org (full text, mbox):

From: Dominique Dumont <dod@debian.org>
To: 663514@bugs.debian.org, Dominic Hargreaves <dom@earth.li>
Subject: kvm cpu type for libsdl-perl ftbs ?
Date: Sat, 14 Apr 2012 17:08:57 +0200
[Message part 1 (text/plain, inline)]
Hello

I'll try to reproduce this bug in a kvm VM. 

Since mmx is involved, I guess that the cpu configuration within kvm is 
relevant. So I have to ask what cpu did you configure in kvm ?

All the best

Dominique
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#663514; Package src:libsdl-perl. (Mon, 16 Apr 2012 13:33:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to dod@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Mon, 16 Apr 2012 13:33:09 GMT) Full text and rfc822 format available.

Message #17 received at 663514@bugs.debian.org (full text, mbox):

From: Dominique Dumont <dod@debian.org>
To: 663514@bugs.debian.org
Cc: Dominic Hargreaves <dom@earth.li>
Subject: bug reproduced
Date: Mon, 16 Apr 2012 14:13:05 +0200
Hello

I've reproduced this bug in kvm. 

upstream is going to look at this problem. There are some other issues with 
mmx detection.

All the best

-- 
https://github.com/dod38fr/config-model/ -o- http://search.cpan.org/~ddumont/
    http://ddumont.wordpress.com/        -o-   irc: dod at irc.debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#663514; Package src:libsdl-perl. (Tue, 31 Jul 2012 08:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <steve.langasek@canonical.com>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Tue, 31 Jul 2012 08:42:03 GMT) Full text and rfc822 format available.

Message #22 received at 663514@bugs.debian.org (full text, mbox):

From: Steve Langasek <steve.langasek@canonical.com>
To: 663514@bugs.debian.org
Subject: Re: libsdl-perl: FTBFS on i386 Xen/KVM VMs: Failed test 'MMX_detect (MMX is same as at start)'
Date: Tue, 31 Jul 2012 01:30:50 -0700
[Message part 1 (text/plain, inline)]
severity 663514 serious
reassign 663514 src:sdlgfx
found 663514 2.0.23-1
tags 663514 patch
user ubuntu-devel@lists.ubuntu.com
usertags 663514 ubuntu-patch quantal
thanks

Hi there,

> This package FTBFS on my Xen and KVM based VMs on i386 (but not amd64):

The problem is definitely not specific to Xen/KVM.  An i386 chroot on an
Ubuntu system shows the same build failure:

  https://bugs.launchpad.net/debian/+source/libsdl-perl/+bug/1029981

The problem is that the cpuFlags() function used for querying cpuid is
returning garbage data from the stack.  So the sdl-perl test suite passes if
the garbage returned happens to not have the MMX bit set both times, and
otherwise it fails.

I've done some analysis on the linked Ubuntu bug, showing the bug in the
disassembled binary, and uploaded a fixed package to Ubuntu which I've
confirmed detects mmx support properly and lets libsdl-perl's test suite
pass reliably.

The attached patch should be suitable for uploading to Debian as well. 
Please consider applying it at your earliest convenience, or let me know if
you would like me to NMU instead.

Since this bug in practice causes libsdl-perl to not be reliably rebuildable
(more precisely, causes its buildability to depend entirely on random
unrelated permutations of the stack, which may change over the lifetime of
wheezy), I'm marking this bug as 'serious' for the release.

Thanks,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[sdlgfx-663514.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Severity set to 'serious' from 'important' Request was from Steve Langasek <steve.langasek@canonical.com> to control@bugs.debian.org. (Tue, 31 Jul 2012 08:42:04 GMT) Full text and rfc822 format available.

Bug reassigned from package 'src:libsdl-perl' to 'src:sdlgfx'. Request was from Steve Langasek <steve.langasek@canonical.com> to control@bugs.debian.org. (Tue, 31 Jul 2012 08:42:05 GMT) Full text and rfc822 format available.

No longer marked as found in versions libsdl-perl/2.537~02-2. Request was from Steve Langasek <steve.langasek@canonical.com> to control@bugs.debian.org. (Tue, 31 Jul 2012 08:42:05 GMT) Full text and rfc822 format available.

Marked as found in versions sdlgfx/2.0.23-1. Request was from Steve Langasek <steve.langasek@canonical.com> to control@bugs.debian.org. (Tue, 31 Jul 2012 08:42:06 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Steve Langasek <steve.langasek@canonical.com> to control@bugs.debian.org. (Tue, 31 Jul 2012 08:42:06 GMT) Full text and rfc822 format available.

Reply sent to Felix Geyer <debfx-pkg@fobos.de>:
You have taken responsibility. (Fri, 03 Aug 2012 17:09:12 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Fri, 03 Aug 2012 17:09:12 GMT) Full text and rfc822 format available.

Message #37 received at 663514-close@bugs.debian.org (full text, mbox):

From: Felix Geyer <debfx-pkg@fobos.de>
To: 663514-close@bugs.debian.org
Subject: Bug#663514: fixed in sdlgfx 2.0.23-2
Date: Fri, 03 Aug 2012 17:02:22 +0000
Source: sdlgfx
Source-Version: 2.0.23-2

We believe that the bug you reported is fixed in the latest version of
sdlgfx, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 663514@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Felix Geyer <debfx-pkg@fobos.de> (supplier of updated sdlgfx package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 03 Aug 2012 17:28:49 +0200
Source: sdlgfx
Binary: libsdl-gfx1.2-4 libsdl-gfx1.2-dev libsdl-gfx1.2-doc
Architecture: source amd64 all
Version: 2.0.23-2
Distribution: unstable
Urgency: high
Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Changed-By: Felix Geyer <debfx-pkg@fobos.de>
Description: 
 libsdl-gfx1.2-4 - drawing and graphical effects extension for SDL
 libsdl-gfx1.2-dev - development files for SDL_gfx
 libsdl-gfx1.2-doc - documentation files for SDL_gfx
Closes: 663514
Changes: 
 sdlgfx (2.0.23-2) unstable; urgency=high
 .
   [ Steve Langasek ]
   * High-urgency upload for RC bugfix.
   * debian/patches/wrong_cpuid_mmx_detection.diff: fix mmx cpuid
     detection.  Closes: #663514, LP: #1029981.
Checksums-Sha1: 
 7969f18fd268cf87cac4204fec9802591ab33ce2 2144 sdlgfx_2.0.23-2.dsc
 b55b372c86edc6d94fa5599a32843b2abe4c1178 7109 sdlgfx_2.0.23-2.debian.tar.gz
 6abb400b01b04d2fd786c3204b2b433067d76616 55816 libsdl-gfx1.2-4_2.0.23-2_amd64.deb
 806f295cd811064c7ec86ef56c4a37dbd9357853 63324 libsdl-gfx1.2-dev_2.0.23-2_amd64.deb
 19f755a9da7bb6ac75af494df5319afd5bd2bd87 1143656 libsdl-gfx1.2-doc_2.0.23-2_all.deb
Checksums-Sha256: 
 ec0968e31df66a9ae5362ca86f66ad55c3da3b5f55578fcfcacaf2ae94c91436 2144 sdlgfx_2.0.23-2.dsc
 678c9b434c90853e42fecb2a66187716cf169e7352299dd70110ecaa164cb838 7109 sdlgfx_2.0.23-2.debian.tar.gz
 5305b297c5450f090c27e6be0a0164d8aa6240d6838075c9d051bddcd58f21f5 55816 libsdl-gfx1.2-4_2.0.23-2_amd64.deb
 b594de8c74ef1f06fd6d8381eaf2211f83e7f52aecc5b6ad4d841bdba053eb5f 63324 libsdl-gfx1.2-dev_2.0.23-2_amd64.deb
 6f511662778a6699e4510269200f893d6dc53e72fb190d234c7cf19371849824 1143656 libsdl-gfx1.2-doc_2.0.23-2_all.deb
Files: 
 4e18313b2d91c9409a00265a369d1b90 2144 libs optional sdlgfx_2.0.23-2.dsc
 569277a0abba834322522664f92cc589 7109 libs optional sdlgfx_2.0.23-2.debian.tar.gz
 fec84a26aeaa7f785c27fb831024e722 55816 libs optional libsdl-gfx1.2-4_2.0.23-2_amd64.deb
 3ae173f65c9b17c830c6cc14a6aeab92 63324 libdevel optional libsdl-gfx1.2-dev_2.0.23-2_amd64.deb
 b5a9428c996be96e5067f3e11a02664f 1143656 doc extra libsdl-gfx1.2-doc_2.0.23-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJQHALkAAoJEP4ixv2DE11F/w4QAJjs2i6EIQmLaqHRhCYZL/Xs
75r/6qmQAkYsDCNYlb4pHVGFDk60YgqQPJVWShwNLbi1SRJwnLPcFEgopp1APL4A
fso0+9JBQQlKfWHlWkG5cHPB+tVlIED1H34Bamqlf62cL6oMsQlB30kOsq1tLqsC
2Ye70xYSXQBTzRxCsINeRWjtUi0vvtKL0C2XhL4s2TidxLzUbIjH3z1JnHYT+7dq
t5hfOKHBznEzGevbGbmJBDUMslHyZ0BOed9/ED7RVT8iqHbZ11T55UJgTvBZpRnX
bSoWEgBy5ymbPJX2ZIY9Xm3t2Q7p6KrOp7Tb1PO2ZD1X2KHSKWV1mcRw+FUH0e8Z
Fg616tY5q6kOIEsgDFN5Sd3+WuC4+DQlgcL5EOGDl1hw4it0kzYsuiSIQhJ9/aYp
/Pf5yBVuC+mvN0aaEfN92Js7BQbhd9PYTMw7G1y5ayNhe0TeNeWACEYbuZh9htwi
frJYgpaRyq2NU0Fbw0W2P8V5MZyJPyIh9d6xBYvGYEb1ceYoDFkUuy2tfK1dDfUT
xyP968P2tuU3Cs5M4DF/9mOgXOTN3ql6Vn1+zQOGjq4HgLUmwc5bE2D+eMd5AZVn
qcSpr9FfclMPHfFZp0GX8eGWZC9kQojZ2Gc9gGcRQsVvCXJK0/7mv7Q9/SjBesux
fA0Ht1fLwCkDt+4FvHd8
=4ijt
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 01 Sep 2012 07:26:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:37:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.